Search the FAQ Archives

3 - A - B - C - D - E - F - G - H - I - J - K - L - M
N - O - P - Q - R - S - T - U - V - W - X - Y - Z
faqs.org - Internet FAQ Archives

SGI performer Frequently Asked Questions (FAQ)
Section - -13- What are all of the released versions of IRIS Performer?

( Single Page )
[ Usenet FAQs | Web FAQs | Documents | RFC Index | Business Photos and Profiles ]


Top Document: SGI performer Frequently Asked Questions (FAQ)
Previous Document: -12- What version of IRIS Performer am I currently running?
Next Document: -14- Does IRIS Performer use IRIS GL or OpenGL?
See reader questions & answers on this topic! - Help others by sharing your knowledge

  Performer 2.0.4:  performer_eoe 2.0 bug fix upgrade, shipped with IRIX 6.4
                    [equivalent updates in patch 1696 for 6.2 and later]

  Performer 2.1.2:  performer_eoe 2.1 bug fix upgrade, shipped as 
                    compatibility libs in 2.0.4 in IRIX 6.4 and patch 1696
			
  Performer 2.0.3:  performer_eoe  2.0 bug fix upgrade, shipped with IRIX 6.3

  Performer 2.1.1:  performer_eoe 2.1 bug fix upgrade, shipped as 
                    compatibility libs in 2.0.3 in IRIX 6.3
			 
  Performer 2.1:    InfiniteReality release, for all InfiniteReality systems 
                    running IRIX 6.2 or later, (eoe and dev)

  Performer 2.0.2:  bug fix upgrade for Performer 2.0.1/2.0 eoe and dev,
                    shipped in patches 1347(eoe)+1392(dev) (for IRIX 6.x) or
                    patch 1414 (for IRIX 5.x) 

  Performer 2.0.1:  bug fix upgrade for 2.0 EOE update only, shipped in 
                    IRIX 6.2
  
  Performer 2.0:    All-platform release for IRIX 5.3 and later releases

  IRIS Performer 1.2/IRIX5:  (obsolete) For IRIX 5.2, 5.3, 6.0.1, 6.1
  IRIS Performer 1.2/IRIX4:  (obsolete) For IRIX 4.0.5(A-J) only
  IRIS Performer 1.1:        (obsolete) For IRIX 5.x only
  IRIS Performer 1.0:        (obsolete) For IRIX 4.x only

  Patch 1696:  performer_eoe updates Performer on IRIX 6.2 and 6.3 to
	       the 2.0.4/2.1.2 shipped in IRIX 6.4.  
               It updates 2.0.1, 2.0.2, 2.0.3 eoe to revs equiv to 2.0.4.
	       It updates 2.1, 2.1.1 eoe to revs equiv to 2.1.2.
               Replaces 1347.
  Patch 1414:  performer 2.0 eoe & dev patch for IRIX 5.3 only
  Patch 1392:  performer_dev 2.0 patch for IRIX 6.2, 6.3, 6.4.
  Patch 1347:  performer_eoe 2.0.1 patch for IRIX 6.2 only

  Historical/Background information:

  Note that the above list is included only for completeness' sake.
  Also note that you might not want "highest numbered" version of
  Performer, you want the the highest maintenance rev of your main
  release (2.1.X for InfiniteReality and 2.0 otherwise). Note that
  maintenance releases have been done for both 2.0 and 2.1
  simultaneously.

  Systems running IRIX 6.2 or later should load the performer_eoe
  IRIX cd, and performer_dev from the Performer 2.0 CD.  Then load
  the relevant patches as described below.

  The N32 and N64 libraries in Performer 2.0 are not intended for
  systems running IRIX 6.1.  If you require N32 or N64 functionality,
  you need to upgrade to 6.2 (or above) and use 2.0.1 (or above).

  No further releases of Performer are planned for IRIX 4.x or 5.x.

  Performer 1.2 was shipped for both 4.0.5 and 5.2 systems.  If you
  are using IRIS Performer 1.2, only install that version that is
  appropriate for your machine.  The IRIS Performer version is
  indicated by the "IRIX4" or "IRIX5" string in each product name.
  IRIX4 products should only be installed on 4.0.5 systems.   IRIX5
  products can be installed on 5.2, 5.3, 6.0.1, and 6.1 systems.

  When a choice is possible between using Performer 1.2 with IRIX 5.x
  or IRIX 4.0.5, IRIX 5.x is highly preferable.  IRIX 5.3 is the
  current operating system release and contains many bug fixes and
  enhancements utilized by IRIS Performer.   IRIS Performer 1.2/IRIX4
  was intended only for users who are unable to upgrade to IRIX 5.x.

User Contributions:

Comment about this article, ask questions, or add new information about this topic:

CAPTCHA




Top Document: SGI performer Frequently Asked Questions (FAQ)
Previous Document: -12- What version of IRIS Performer am I currently running?
Next Document: -14- Does IRIS Performer use IRIS GL or OpenGL?

Single Page

[ Usenet FAQs | Web FAQs | Documents | RFC Index ]

Send corrections/additions to the FAQ Maintainer:
sgi-faq@viz.tamu.edu (The SGI FAQ group)





Last Update March 27 2014 @ 02:12 PM